﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridComputedColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            data.Add(new Data() { HasValue = "Y", Value = 10 });
            data.Add(new Data() { HasValue = "N", Value = 100 });
            data.Add(new Data() { HasValue = "Y", Value = 1000});
            this.DataContext = data;
        }
    }

    public class Data
    {
        public String HasValue { get; set; }
        public int Value { get; set; }

        public override string ToString()
        {
            if (this.HasValue == "Y")
            {
                return this.Value.ToString();
            }
            else
                return (this.Value * -1).ToString();
        }
    }
}
